> ## Documentation Index
> Fetch the complete documentation index at: https://watermelon.ai/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Create Message



## OpenAPI

````yaml post /messages
openapi: 3.0.3
info:
  version: 1.0.0
  title: https://public.watermelon.ai
servers:
  - url: https://public.watermelon.ai/api/v1
security: []
paths:
  /messages:
    post:
      summary: Create Message
      operationId: CreateMessage
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/CreateMessage'
      responses:
        '200':
          description: Created message ID
          content:
            application/json:
              schema:
                type: object
                properties:
                  id:
                    type: integer
        '500':
          description: Unexpected error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
      security:
        - Bearer: []
components:
  schemas:
    CreateMessage:
      type: object
      properties:
        conversation_id:
          type: integer
        user_id:
          type: integer
        type:
          type: string
          enum:
            - text
            - sticker
            - photo
            - video
            - file
            - activity
            - typing
            - attachment
            - emoji
            - location
            - contact
        payload:
          type: string
    Error:
      type: object
      properties:
        code:
          type: integer
          format: int64
        message:
          type: string
        fields:
          type: string
  securitySchemes:
    Bearer:
      type: http
      scheme: bearer
      bearerFormat: JWT

````